iCalendlyDeveloper Docs
Event types webhooks

PATCHUpdate a webhook

PATCH/v2/event-types/{eventTypeId}/webhooks/{webhookId}

Request Body

application/jsonRequired
payloadTemplatestring

The template of the payload that will be sent to the subscriberUrl, check cal.com/docs/core-features/webhooks for more information

activeboolean
subscriberUrlstring
triggersarray<string>
secretstring
versionstring

The version of the webhook

Value in: "2021-10-20"

Path Parameters

webhookIdRequiredstring
eventTypeIdRequirednumber

Header Parameters

AuthorizationRequiredstring

value must be Bearer <token> where <token> is api key prefixed with cal_ or managed user access token

curl -X PATCH "https://example.com/v2/event-types/0/webhooks/<string>" \
  -H "Authorization: <string>" \
  -H "Content-Type: application/json" \
  -d '{
    "payloadTemplate": "{\"content\":\"A new event has been scheduled\",\"type\":\"{{type}}\",\"name\":\"{{title}}\",\"organizer\":\"{{organizer.name}}\",\"booker\":\"{{attendees.0.name}}\"}",
    "active": true,
    "subscriberUrl": "string",
    "triggers": [
      "BOOKING_CREATED",
      "BOOKING_RESCHEDULED",
      "BOOKING_CANCELLED",
      "BOOKING_CONFIRMED",
      "BOOKING_REJECTED",
      "BOOKING_COMPLETED",
      "BOOKING_NO_SHOW",
      "BOOKING_REOPENED"
    ],
    "secret": "string",
    "version": "2021-10-20"
  }'

{
  "status": "success",
  "data": {
    "payloadTemplate": "{\"content\":\"A new event has been scheduled\",\"type\":\"{{type}}\",\"name\":\"{{title}}\",\"organizer\":\"{{organizer.name}}\",\"booker\":\"{{attendees.0.name}}\"}",
    "triggers": [
      "BOOKING_CREATED"
    ],
    "eventTypeId": 0,
    "id": 0,
    "subscriberUrl": "string",
    "active": true,
    "secret": "string"
  }
}